Title: WP_REST_Global_Styles_Revisions_Controller::register_routes
Published: August 8, 2023
Last modified: February 24, 2026

---

# WP_REST_Global_Styles_Revisions_Controller::register_routes()

## In this article

 * [Source](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#source)
 * [Related](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#related)
 * [Changelog](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#changelog)

[ Back to top](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#wp--skip-link--target)

Registers the controller’s routes.

## 󠀁[Source](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#source)󠁿

    ```php
    public function register_routes() {
    	register_rest_route(
    		$this->namespace,
    		'/' . $this->parent_base . '/(?P<parent>[\d]+)/' . $this->rest_base,
    		array(
    			'args'   => array(
    				'parent' => array(
    					'description' => __( 'The ID for the parent of the revision.' ),
    					'type'        => 'integer',
    				),
    			),
    			array(
    				'methods'             => WP_REST_Server::READABLE,
    				'callback'            => array( $this, 'get_items' ),
    				'permission_callback' => array( $this, 'get_items_permissions_check' ),
    				'args'                => $this->get_collection_params(),
    			),
    			'schema' => array( $this, 'get_public_item_schema' ),
    		)
    	);

    	register_rest_route(
    		$this->namespace,
    		'/' . $this->parent_base . '/(?P<parent>[\d]+)/' . $this->rest_base . '/(?P<id>[\d]+)',
    		array(
    			'args'   => array(
    				'parent' => array(
    					'description' => __( 'The ID for the parent of the global styles revision.' ),
    					'type'        => 'integer',
    				),
    				'id'     => array(
    					'description' => __( 'Unique identifier for the global styles revision.' ),
    					'type'        => 'integer',
    				),
    			),
    			array(
    				'methods'             => WP_REST_Server::READABLE,
    				'callback'            => array( $this, 'get_item' ),
    				'permission_callback' => array( $this, 'get_item_permissions_check' ),
    				'args'                => array(
    					'context' => $this->get_context_param( array( 'default' => 'view' ) ),
    				),
    			),
    			'schema' => array( $this, 'get_public_item_schema' ),
    		)
    	);
    }
    ```

[View all references](https://developer.wordpress.org/reference/files/wp-includes/rest-api/endpoints/class-wp-rest-global-styles-revisions-controller.php/)
[View on Trac](https://core.trac.wordpress.org/browser/tags/6.9.4/src/wp-includes/rest-api/endpoints/class-wp-rest-global-styles-revisions-controller.php#L71)
[View on GitHub](https://github.com/WordPress/wordpress-develop/blob/6.9.4/src/wp-includes/rest-api/endpoints/class-wp-rest-global-styles-revisions-controller.php#L71-L117)

## 󠀁[Related](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#related)󠁿

| Uses | Description | 
| [WP_REST_Global_Styles_Revisions_Controller::get_collection_params()](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/get_collection_params/)`wp-includes/rest-api/endpoints/class-wp-rest-global-styles-revisions-controller.php` |

Retrieves the query params for collections.

  | 
| [register_rest_route()](https://developer.wordpress.org/reference/functions/register_rest_route/)`wp-includes/rest-api.php` |

Registers a REST API route.

  | 
| [__()](https://developer.wordpress.org/reference/functions/__/)`wp-includes/l10n.php` |

Retrieves the translation of $text.

  |

[Show 1 more](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#)
[Show less](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#)

## 󠀁[Changelog](https://developer.wordpress.org/reference/classes/wp_rest_global_styles_revisions_controller/register_routes/?output_format=md#changelog)󠁿

| Version | Description | 
| [6.6.0](https://developer.wordpress.org/reference/since/6.6.0/) | Added route to fetch individual global styles revisions. | 
| [6.3.0](https://developer.wordpress.org/reference/since/6.3.0/) | Introduced. |

## User Contributed Notes

You must [log in](https://login.wordpress.org/?redirect_to=https%3A%2F%2Fdeveloper.wordpress.org%2Freference%2Fclasses%2Fwp_rest_global_styles_revisions_controller%2Fregister_routes%2F)
before being able to contribute a note or feedback.